Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1390328 - [abrt] gpaste: _g_log_abort(): gpaste-daemon killed by SIGTRAP: TAINTED
Summary: [abrt] gpaste: _g_log_abort(): gpaste-daemon killed by SIGTRAP: TAINTED
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaste
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8b5358c003b90e28ce628cf6bf3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-31 17:27 UTC by Han Han
Modified: 2018-05-29 11:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:33:44 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-10-31 17:27 UTC, Han Han
no flags Details
File: cgroup (deleted)
2016-10-31 17:27 UTC, Han Han
no flags Details
File: core_backtrace (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: dso_list (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: environ (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: limits (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: maps (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: mountinfo (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: namespaces (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: open_fds (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: proc_pid_status (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details
File: var_log_messages (deleted)
2016-10-31 17:28 UTC, Han Han
no flags Details

Description Han Han 2016-10-31 17:27:52 UTC
Description of problem:
Caculate in gnomw-shell such as 'sin(3)'. And get the result. Then gpaste SIGTRAP.

Version-Release number of selected component:
gpaste-3.22.0-2.fc26

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpaste-daemon
crash_function: _g_log_abort
executable:     /usr/libexec/gpaste/gpaste-daemon
global_pid:     12007
kernel:         4.7.0-0.rc5.git1.1.fc25.x86_64+debug
pkg_fingerprint: 812A 6B4B 64DA B85D
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:487
 #1 g_log_default_handler at gmessages.c:2816
 #4 g_malloc at gmem.c:99
 #5 g_malloc_n at gmem.c:331
 #6 on_search_ready at src/libgpaste/daemon/gpaste-search-provider.c:92
 #7 g_task_return_now at gtask.c:1121
 #8 g_task_return at gtask.c:1179
 #9 reply_cb at gdbusproxy.c:2573
 #10 g_task_return_now at gtask.c:1121
 #11 g_task_return at gtask.c:1179

Comment 1 Han Han 2016-10-31 17:27:57 UTC
Created attachment 1215870 [details]
File: backtrace

Comment 2 Han Han 2016-10-31 17:27:58 UTC
Created attachment 1215871 [details]
File: cgroup

Comment 3 Han Han 2016-10-31 17:28:00 UTC
Created attachment 1215872 [details]
File: core_backtrace

Comment 4 Han Han 2016-10-31 17:28:02 UTC
Created attachment 1215874 [details]
File: dso_list

Comment 5 Han Han 2016-10-31 17:28:03 UTC
Created attachment 1215875 [details]
File: environ

Comment 6 Han Han 2016-10-31 17:28:05 UTC
Created attachment 1215876 [details]
File: limits

Comment 7 Han Han 2016-10-31 17:28:07 UTC
Created attachment 1215877 [details]
File: maps

Comment 8 Han Han 2016-10-31 17:28:08 UTC
Created attachment 1215878 [details]
File: mountinfo

Comment 9 Han Han 2016-10-31 17:28:10 UTC
Created attachment 1215879 [details]
File: namespaces

Comment 10 Han Han 2016-10-31 17:28:11 UTC
Created attachment 1215880 [details]
File: open_fds

Comment 11 Han Han 2016-10-31 17:28:13 UTC
Created attachment 1215881 [details]
File: proc_pid_status

Comment 12 Han Han 2016-10-31 17:28:14 UTC
Created attachment 1215882 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-02-28 10:32:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 Fedora End Of Life 2018-05-03 08:22:17 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:33:44 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.